Subject: bug#76322: Make ctags a thin wrapper around etags

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Feb 2025 09:12:26 +0200

> Date: Sat, 15 Feb 2025 21:21:00 -0800
> From: Paul Eggert <[email-masked]>
> 
> ctags and etags are both built from the same source file, with a 
> different compile-time flag. This takes quite a while on my old desktop 
> when I configure with --enable-gcc-warnings as is my usual practice. 
> Also, it means two very similar executables are floating around where 
> one would do. This has long been a FIXME and I finally got annoyed by 
> the long compiles enough to do something about it. Patch attached.

Sorry, that won't fly as suggested because Unix shell scripts don't
work on Windows.  So building Emacs on Windows and DOS will still need
to compile the same source twice, and the patch needs to be changed to
do what you suggest only on Posix platforms, leaving ctags a .exe
program on DOS/Windows.  (And I'd like to avoid making ctags a batch
file on Windows, for various obscure reasons.)